NisusWrtGraph Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | Friends | List of all members
NisusWrtGraph Class Reference

the main class to read the graphic part of a Nisus file More...

`#include <NisusWrtGraph.hxx>`

## Public Member Functions
| NisusWrtGraph (NisusWrtParser &parser)
| constructor More...
virtual | ~NisusWrtGraph ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions
bool | createZones ()
| finds the different graphic zones More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | sendPicture (int pictId, bool inPictRsrc, MWAWPosition pictPos)
| try to send a picture More...
bool | sendPageGraphics ()
| try to send the page graphic More...
bool | readPLAC (MWAWEntry const &entry)
| read the PLAC resource: a list of picture placements ? More...
bool | readPLDT (NisusWrtStruct::RecursifData const &data)
| parse the PLDT resource: a unknown resource More...
bool | readPGRA (MWAWEntry const &entry)
| read the PGRA resource: the number of page? graphics More...
std::vector< NisusWrtGraphInternal::RSSOEntry > | findRSSOEntry (MWAWInputStreamPtr inp) const
| try to find a RSSO entry in a picture file More...

## Protected Attributes
MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< NisusWrtGraphInternal::State > | m_state
| the state More...
NisusWrtParser * | m_mainParser
| the main parser; More...

## Private Member Functions
| NisusWrtGraph (NisusWrtGraph const &orig)
NisusWrtGraph & | operator= (NisusWrtGraph const &orig)

## Friends
class | NisusWrtParser
class | NisusWrtGraphInternal::SubDocument

## Detailed Description

the main class to read the graphic part of a Nisus file

## Constructor & Destructor Documentation

## § NisusWrtGraph() [1/2]

NisusWrtGraph::NisusWrtGraph | ( | NisusWrtParser & | parser | ) |
| explicit

constructor

## § ~NisusWrtGraph()

NisusWrtGraph::~NisusWrtGraph | ( |  | ) |
| virtual

destructor

## § NisusWrtGraph() [2/2]

NisusWrtGraph::NisusWrtGraph | ( | NisusWrtGraph const & | orig | ) |
| private

## Member Function Documentation

## § createZones()

bool NisusWrtGraph::createZones | ( |  | ) |
| protected

finds the different graphic zones

## § findRSSOEntry()

std::vector< NisusWrtGraphInternal::RSSOEntry > NisusWrtGraph::findRSSOEntry | ( | MWAWInputStreamPtr | inp | ) | const
| protected

try to find a RSSO entry in a picture file

Referenced by sendPicture().

## § flushExtra()

void NisusWrtGraph::flushExtra | ( |  | ) |
| protected

sends the data which have not yet been sent to the listener

## § numPages()

int NisusWrtGraph::numPages | ( |  | ) | const

returns the number of pages

## § operator=()

NisusWrtGraph& NisusWrtGraph::operator= | ( | NisusWrtGraph const & | orig | ) |
| private

## § readPGRA()

bool NisusWrtGraph::readPGRA | ( | MWAWEntry const & | entry | ) |
| protected

read the PGRA resource: the number of page? graphics

read the PGRA resource: the number of page graphic ? (id 20000)

Referenced by createZones().

## § readPLAC()

bool NisusWrtGraph::readPLAC | ( | MWAWEntry const & | entry | ) |
| protected

read the PLAC resource: a list of picture placements ?

Referenced by createZones().

## § readPLDT()

bool NisusWrtGraph::readPLDT | ( | NisusWrtStruct::RecursifData const & | data | ) |
| protected

parse the PLDT resource: a unknown resource

Referenced by createZones().

## § sendPageGraphics()

bool NisusWrtGraph::sendPageGraphics | ( |  | ) |
| protected

try to send the page graphic

## § sendPicture()

bool NisusWrtGraph::sendPicture | ( | int | pictId,
|  | bool | inPictRsrc,
|  | MWAWPosition | pictPos
| ) |  |
| protected

try to send a picture

Referenced by flushExtra(), and sendPageGraphics().

## § version()

int NisusWrtGraph::version | ( |  | ) | const

returns the file version

Referenced by findRSSOEntry(), and sendPicture().

## Friends And Related Function Documentation

## § NisusWrtGraphInternal::SubDocument

friend class NisusWrtGraphInternal::SubDocument
| friend

## § NisusWrtParser

friend class NisusWrtParser
| friend

## Member Data Documentation

## § m_mainParser

NisusWrtParser* NisusWrtGraph::m_mainParser
| protected

the main parser;

Referenced by createZones(), readPGRA(), readPLAC(), readPLDT(), sendPageGraphics(), and sendPicture().

## § m_parserState

MWAWParserStatePtr NisusWrtGraph::m_parserState
| protected

the parser state

Referenced by sendPageGraphics(), sendPicture(), and version().

## § m_state

shared_ptr<NisusWrtGraphInternal::State> NisusWrtGraph::m_state
| protected

the state

Referenced by createZones(), flushExtra(), numPages(), readPGRA(), sendPageGraphics(), and sendPicture().

The documentation for this class was generated from the following files:

- NisusWrtGraph.hxx
- NisusWrtGraph.cxx